<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <title>Basic JS - HW 4 - Create user</title>
</head>
<body>
    <script>
        'use strict';

        const newUser = createNewUser();
        const login = newUser.getLogin();
        console.log(login);

        function createNewUser() {
            const newUser = {
                getLogin() {
                    return this.firstName[0].toLowerCase()
                        + this.lastName.toLowerCase();
                },
                setFirstName() {
                    return prompt('Enter your first name: ');
                },
                setLastName() {
                    return prompt('Enter your last name: ');
                }
            };

            Object.defineProperty(newUser, 'firstName', {
                get() {
                    return newUser.setFirstName();
                }
            });

            Object.defineProperty(newUser, 'lastName', {
                get() {
                    return newUser.setLastName();
                }
            });
            return newUser;
        }

    </script>
</body>
</html>